package kr.gmtc.tss.util;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;

public class MapUtil {

	public static ArrayList<String> toKeyArray(Map mapData){
		Set key = mapData.keySet();
		ArrayList<String> keyArr=new ArrayList<String>();
		for (Iterator iterator = key.iterator(); iterator.hasNext();) {
			keyArr.add((String)iterator.next());
		}
		return keyArr;
	}
	

	public static ArrayList<Object> toArray(Map mapData){
		Set key = mapData.keySet();
		ArrayList<Object> dataArr=new ArrayList<Object>();
		for (Iterator iterator = key.iterator(); iterator.hasNext();) {
//			dataArr.add((String)iterator.next());
			dataArr.add(mapData.get(iterator.next()));
		}
		return dataArr;
	}
	
}
